Subject: Re: bug#45: 23.0.60; Can't paste from files with .arc extensions

From: Chong Yidong <[email-masked]>
Date: Thu, 10 Apr 2008 16:03:19 -0400

Stefan Monnier <[email-masked]> writes:

>> OK, we'll leave the matter as it stands.  Tagging as wontfix.
>
> Not sure if I agree with this.
> Which applications accept the C_STRING?
> I mean, if Firefox doesn't accept it, it's likely many others refuse it
> as well.  Why not treat the binary as Latin-1 and sent it as STRING?
>
> Are there cases where it's known to cause problems?

Apart from Firefox, GTK applications don't accept C_STRING, while xterm
does.

IIUC, Handa's argument is that a unibyte buffer typically represents
binary data, so it's more correct to tag it as C_STRING.  If other
applications choose to refuse C_STRING because they don't think it
generally maps to Latin-1 output, that's their choice.